Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class CorrelationSet

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.CorrelationSet

    public class CorrelationSet

extends BpelObject

BPEL correlation set declaration. A correlation set is--like a variable--declared in a scope-like construct (see `Scope`.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`CorrelationSet(org.w3c.dom.Element el)`

Method Summary
`java.lang.String` | `getName()` Get the name of this correlation set.
`javax.xml.namespace.QName[]` | `getProperties()` Get the (ordered) set of properties that define this correlation set.
`boolean` | `isUnique()` Is the correlation set system-wide unique?

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CorrelationSet

    public CorrelationSet(org.w3c.dom.Element el)

Method Detail

### getName

    public java.lang.String getName()

  Get the name of this correlation set.

  Returns:
    correlation set name

### getProperties

    public javax.xml.namespace.QName[] getProperties()

  Get the (ordered) set of properties that define this correlation set. Properties are returned by their qualified name.

  Returns:
    set of defining properties

### isUnique

    public boolean isUnique()

  Is the correlation set system-wide unique?

  Returns:
    `true` iff the set is unique

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD